#!/bin/sh
echo 'name: feldspar-compiler
version: 0.4.0.2
id: feldspar-compiler-0.4.0.2-ae050d4b4853b8293fe6a1b1d8940699

license: BSD3
copyright: Copyright (c) 2009-2011, ERICSSON AB
maintainer: deva@inf.elte.hu
stability: experimental
homepage: http://feldspar.inf.elte.hu/feldspar/
package-url:
description: Feldspar (**F**unctional **E**mbedded **L**anguage for **DSP**
             and **PAR**allelism) is an embedded DSL for describing digital
             signal processing algorithms.
             This library (FeldsparCompiler) contains a prototype compiler
             that supports C code generation from programs written in this
             language both according to ANSI C and also targeted to a real
             DSP HW.
category: Compiler
author: Feldspar group,
        Eotvos Lorand University Faculty of Informatics
pkgpath: lang/feldspar/compiler
exposed: True
exposed-modules: Feldspar.Compiler.Imperative.Representation
                 Feldspar.Compiler.Imperative.FromCore
                 Feldspar.Compiler.Imperative.Frontend
                 Feldspar.Compiler.Imperative.TransformationInstance
                 Feldspar.Compiler.Imperative.Plugin.ConstantFolding
                 Feldspar.Compiler.Imperative.Plugin.Unroll
                 Feldspar.Compiler.Imperative.Plugin.Naming
                 Feldspar.Compiler.Backend.C.CodeGeneration
                 Feldspar.Compiler.Backend.C.Plugin.PrettyPrint
                 Feldspar.Compiler.Backend.C.Plugin.Locator
                 Feldspar.Compiler.Backend.C.Plugin.HandlePrimitives
                 Feldspar.Compiler.Backend.C.Plugin.BlockProgramHandler
                 Feldspar.Compiler.Backend.C.Plugin.TypeCorrector
                 Feldspar.Compiler.Backend.C.Plugin.TypeDefinitionGenerator
                 Feldspar.Compiler.Backend.C.Plugin.VariableRoleAssigner
                 Feldspar.Compiler.Backend.C.Plugin.AllocationEliminator
                 Feldspar.Compiler.Backend.C.Library
                 Feldspar.Compiler.Backend.C.Options
                 Feldspar.Compiler.Backend.C.Platforms
                 Feldspar.Compiler.Frontend.CommandLine.API.Library
                 Feldspar.Compiler.Frontend.CommandLine.API.Constants
                 Feldspar.Compiler.Frontend.CommandLine.API.Options
                 Feldspar.Compiler.Frontend.CommandLine.API
                 Feldspar.Compiler.Compiler Feldspar.Compiler.Error
                 Feldspar.Compiler Feldspar.Transformation
                 Feldspar.Transformation.Framework Feldspar.NameExtractor
hidden-modules:
import-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
library-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
hs-libraries: HSfeldspar-compiler-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2/include
includes:
depends: MonadCatchIO-mtl-0.3.0.2-b19264154bf1ff292d0ed70e72c8b96e
         ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         base-4.3.1.0-e1ba2d2213b66179f3e0c901a27d3a96
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         directory-1.1.0.0-9315160d2d0511510edc9d31fb968f3c
         feldspar-language-0.4.0.2-40f5ed910761dbf40b96e774ca19173e
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         haskell-src-exts-1.11.1-9d15ede58cc5d110e1f5207b5b53c319
         hint-0.3.3.2-d086fe911394036cbe76a3ea0d405018
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
         process-1.0.1.5-55dfaccf3a91c4cb8f6284a0bafef198
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html/feldspar-compiler.haddock
haddock-html: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
